# Budgeting Categories v2.2
# Published 2025-08-30
# File location: Cyberlink Shrine/var/www/coin.alj.app/docs/categories.yaml
#
# SYSTEM PHILOSOPHY:
# This categorization system represents a philosophical approach to personal finance
# that transcends mere accounting. It organizes expenditures not by merchant type
# but by fundamental purpose and nature of spending. The structure acknowledges
# that financial resources serve different existential purposes: sustenance (Resources),
# obligation (Household, Contracts), support (Support), future security (Investments),
# and quality of life (Luxury, Services). This framework transforms budgeting from
# expense tracking to conscious resource allocation, where each category represents
# a different aspect of material existence and personal values.

version: 2.2

Household: 
  # The foundation of stable living arrangements. These are non-negotiable costs
  # associated with maintaining shelter and basic domestic operation. Unlike consumable
  # resources, these represent fixed infrastructure costs that persist regardless
  # of daily activities. The subcategories distinguish between essential services (Utilities),
  # risk management (Insurance), consumables (Resources), and discretionary home
  # improvements (Luxuries).
  - Rent                    # Base cost of shelter - the fundamental exchange for housing security
  - Home:Utilities          # Essential services enabling modern living: electricity, water, gas, waste management
  - Home:Insurance          # Risk transfer mechanism protecting against catastrophic home-related losses
  - Home:Resources          # Consumable goods specific to home maintenance (cleaning supplies, light bulbs, filters)
  - Home:Luxuries           # Discretionary home enhancements (decor, art, non-essential furnishings)

Automobile:
  # Represents the total cost of vehicle ownership rather than mere transportation.
  # This category acknowledges that automobile expenses extend beyond fuel to include
  # financing, regulatory compliance, maintenance, and discretionary enhancements.
  # The structure allows for clear separation of fixed costs (payment, insurance)
  # from variable operational costs (fuel, maintenance) and discretionary upgrades.
  - Auto:Payment            # Capital cost allocation for vehicle access (lease or loan payments)
  - Auto:Insurance          # Legal risk management and liability protection
  - Auto:Documentation      # Regulatory compliance costs (registration, licensing, inspections)
  - Auto:Maintenance        # Predictive maintenance fund ensuring operational reliability
  - Auto:Luxuries           # Non-essential enhancements (upgrades, accessories, customization)
  - Fuel                    # Energy consumption directly tied to usage patterns

Resources:
  # The consumable foundation of daily existence. These are goods that are depleted
  # through use and must be regularly replenished. This category represents the
  # material inputs required for biological maintenance (Groceries, Pharmacy)
  # and tool-based existence (Equipment). Unlike fixed costs, these expenses
  # scale with consumption and represent the ongoing cost of sustaining life
  # and capability.
  - Groceries               # Nutritional inputs and household consumables
  - Pharmacy                # Health maintenance products (medicines, supplements, first aid)
  - Equipment               # Tools and gear that enable capabilities (non-consumable equipment)

Services:
  # The outsourcing of specialized human labor and expertise. This category
  # recognizes that modern existence requires accessing others' skills and
  # infrastructure. It encompasses everything from personal care (Barber)
  # to technological infrastructure (Sysadmin) to mobility solutions (Transport).
  # These are payments for acts and access rather than physical goods.
  - Sysadmin                # Technology infrastructure and digital service access
  - Service:Medical         # Professional healthcare services and consultations
  - Service:Transport       # Mobility solutions beyond personal vehicle usage
  - Service:Barber          # Personal grooming and maintenance services
  - Service:Mobile          # Communication infrastructure access

Support:
  # Resources directed toward others without expectation of direct reciprocal
  # exchange. This category formalizes the ethical commitment to supporting
  # family, community, and causes. It transforms abstract values into concrete
  # financial allocations, making generosity a budgeted priority rather than
  # an afterthought.
  - Support:Family          # Familial obligation and intergenerational support
  - Support:Nabi            # Specific committed relationship support
  - Support:Sponsorship     # Community and cause-based support commitments
  - Gifts                   # Voluntary transfers expressing social bonds

Luxury:
  # The allocation for non-essential enhancement of lived experience. This category
  # acknowledges that life quality extends beyond mere survival and includes
  # aesthetic pleasure, social engagement, and personal enjoyment. The subcategories
  # distinguish between experiential luxury (Restaurant, Leisure), material luxury
  # (Apparel), and pure indulgence (Indulgence).
  - Restaurant              # Prepared food experiences and social dining
  - Apparel                 # Non-essential clothing and personal adornment
  - Leisure                 # Recreational experiences and entertainment
  - Indulgence              # Pure discretionary spending without specific categorization

Bank Administration:
  # The meta-costs of financial management itself. This category recognizes
  # that maintaining financial infrastructure incurs expenses separate from
  # the resources and services actually consumed. It includes both explicit
  # costs (Charges) and operational movements (Transfer) that aren't actual
  # consumption but financial system maintenance.
  - Admin:Charges           # Financial system access fees and penalty costs
  - Admin:Transfer          # Operational fund movements between accounts

Contracts:
  # Legal and regulatory obligations outside typical service relationships.
  # This category serves both practical and psychological purposes - tracking
  # actual costs while creating cognitive friction around behaviors that
  # generate these expenses.
  - Gatineau:Fines          # Municipal regulation violation penalties

Investments:
  # Resources allocated to future security and growth rather than present
  # consumption. This category represents the temporal dimension of financial
  # planning - recognizing that current resource allocation can create future
  # benefits. The subcategories address different risk profiles and time horizons.
  - Stocks                  # Growth-oriented capital allocation
  - Emergency               # Liquidity reserve for unexpected events
  - Savings                 # Purpose-specific future expenditure planning

Income:
  # All resource inflows regardless of source. This category completes the
  # financial picture by capturing all additions to available resources.
  # The distinction between active (Salary) and passive/returned (Tax Refund)
  # income sources helps understand the nature of resource acquisition.
  - Salary                  # Active compensation for labor or services
  - Tax:Refund              # Return of previously over-allocated resources

# IMPLEMENTATION GUIDANCE:
# This system operates most effectively when paired with several key practices:
#
# 1. Sinking Funds: Categories like Auto:Maintenance, Auto:Documentation, and Gifts
#    should be treated as sinking funds - regularly contributing fixed amounts
#    to cover predictable but irregular expenses.
#
# 2. Threshold-Based Spending: For discretionary categories (Luxury, Home:Luxuries),
#    establish monthly thresholds rather than line-item budgeting to maintain
#    flexibility while controlling overall expenditure.
#
# 3. Regular Review: The category structure should be reviewed quarterly to
#    ensure it continues to reflect actual spending patterns and priorities.
#
# 4. Exception Tracking: Occasionally, transactions may fit multiple categories.
#    Establish clear decision rules for edge cases and document these decisions
#    for consistency.
#
# EXAMPLE TRANSACTIONS:
# - Grocery store purchase of food: Resources:Groceries
# - Grocery store purchase of light bulbs: Household:Home:Resources
# - Pharmacy purchase of vitamins: Resources:Pharmacy
# - Pharmacy purchase of shampoo: Resources:Pharmacy (alternative: could be Household:Home:Resources)
# - Auto service oil change: Automobile:Auto:Maintenance
# - Auto service new stereo: Automobile:Auto:Luxuries
# - Restaurant meal with friends: Luxury:Restaurant
# - Monthly mobile phone bill: Services:Service:Mobile
# - New mobile phone purchase: Resources:Equipment
# - Traffic fine: Contracts:Gatineau:Fines
# - Birthday gift for family member: Support:Gifts
